DROP TABLE rtd.tws_historical_option_data;
DROP TABLE rtd.tws_historical_prices;
DROP TABLE rtd.tws_last_option_data;
DROP TABLE rtd.tws_last_stock_quotes;
DROP TABLE rtd.tws_option_data_ticks;
DROP TABLE rtd.tws_stock_list;
DROP TABLE rtd.tws_stock_quotes_ticks;

DELETE FROM rtd.real_time_formulas WHERE table_name LIKE 'tws_%';
DELETE FROM rtd.real_time_tables WHERE table_name LIKE 'tws_%';

IF NOT EXISTS(SELECT TOP 1 * FROM [rtd].[real_time_formulas]) AND
   NOT EXISTS(SELECT TOP 1 * FROM [rtd].[real_time_tables])
    BEGIN
    DROP TABLE rtd.real_time_formulas;
    DROP TABLE rtd.real_time_tables;
    DROP SCHEMA rtd;
    END;
